<?php
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(homeurl.' - Новое сообщение');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
$do = isset($_GET['do']) ? check($_GET['do']) : false;
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: Написать сообщение</div></div></div>';
switch($do) {
default:
if (DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_mess WHERE user_id = ?", [$b['id']])>=1) {
$adresat = (isset($_GET['nick'])) ? htmlspecialchars(addslashes(user_inf($_GET['nick'], 'nick'))) : NULL;
echo '<div class="list-group-item media"><form ENCTYPE="multipart/form-data" method="post" action="?do=send_ok">Кому:<br/><input type="text" class="form-control" name="nick" value="' . $adresat . '"/><br/>Сообщение:<br/></br>';
quickpaste('text');
quickpanel();
echo'<br/><br/><textarea class="form-control" rows="8" name="text"></textarea>
<br/>Прикрепить файл: (*max: 3mb)<br/><input name="file" class="form-control" type="file"/><br/><input type="hidden" name="nick" value="'.$adresat.'"/><input type="submit" name="send" class="btn btn-primary" value="Отправить"/></div></form>';
} else err('Наберите 10 постов на форуме!');
break;
case 'send_ok':
if (!ctype_digit($_POST['nick'])) $nick = check($_POST['nick']);
elseif (ctype_digit($_POST['nick'])) $nick = abs((int)$_POST['nick']);
if (ctype_digit($nick)) {
$us = DB::$dbs->queryFetch("SELECT * FROM `blogger` WHERE `id` = ? LIMIT 1", [$nick]);
} elseif (!ctype_digit($nick)) {
$us = DB::$dbs->queryFetch("SELECT * FROM `blogger` WHERE `nick` = ? LIMIT 1", [$nick]);
}
if (DB::$dbs->querySingle("SELECT COUNT(id) FROM ignor WHERE user_id = ? AND id_user = ?", [$us['id'],$b['id']]) == 0) {
$text = check($_POST['text']);
$files = ['.gif', '.jpg', '.jpeg', '.png', '.zip', '.rar', '.gz', '.gzip', '.tar', '.txt'];
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
$fnames = $_FILES['file']['name'];

if ($us == 0) {
$err = 'Получатель не найден!';
}
if (is_numeric($nick) && $us['id'] == $b['id']){
$err = 'Получатель не найден!';
}
/*
if (!is_numeric($nick) && $us['nick'] == $b['nick']){
$err = 'Получатель не найден!';
}
*/
if (!empty($fnames) && preg_match('/(\.php|\.pl|\.htaccess)/i', $fnames) || !empty($fnames) && !in_array($ext, $files)) {
$err = 'Запрещенный формат файла!';
}
if (!empty($fnames) && $_FILES['file']['size'] > 1024 * 10 * 1024) {
$err = 'Большой размер файла!';
}
if (empty($text)) {
$err = 'Пустое поле сообщения!';
}
if (empty($err)) {
if (!empty($fnames))
{
$path = '/files/mail/'.homeurl.'_' . mt_rand(100000, 999999) . $ext;
copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/'.$path);
}
else {
$path = '';
}
$idus = $us['id'];
DB::$dbs->query("INSERT INTO `letters` SET `id` = ?, `who` = ?, `idwho` = ?, `text` = ?, `data` = ?, `read` = ?, `file` = ?", array(0,$b['id'],$idus,$text,time(),0,$path));
header('Location: /view_mess.php?id=' . $idus);
die();
}else {
echo err($err);
}
} else err(Nick($us['id']).' добавил Вас в игнор лист!');
break;
}

$title->GetMenu();
$title->GetFooter();
?>